## Clipboard operations Clipboard operations — Clipboard operations handler for files. |

## Functions

#define | fm_clipboard_copy_files()
#define | fm_clipboard_cut_files()
gboolean | fm_clipboard_cut_or_copy_files ()
gboolean | fm_clipboard_have_files ()
gboolean | fm_clipboard_paste_files ()

## Description

`include` : libfm/fm-gtk.h

## Functions

### fm_clipboard_copy_files()

    #define             fm_clipboard_copy_files(src_widget, files)

### fm_clipboard_cut_files()

    #define             fm_clipboard_cut_files(src_widget, files)

### fm_clipboard_cut_or_copy_files ()

    gboolean
    fm_clipboard_cut_or_copy_files (GtkWidget *src_widget,
                                    FmPathList *files,
                                    gboolean _is_cut);

Places files onto system clipboard.

#### Parameters

src_widget | widget where files were taken |
files | files to place on clipboard |
_is_cut | `TRUE` if operation is 'Cut', `FALSE` if 'Copy' |

#### Returns

`TRUE` if operation was successful.

Since: 0.1.0

### fm_clipboard_have_files ()

    gboolean
    fm_clipboard_have_files (GtkWidget *dest_widget);

Checks if clipboard have data available for paste.

#### Parameters

dest_widget | widget to paste files. | [allow-none]

#### Returns

`TRUE` if the clipboard have data that can be handled.

Since: 1.0.1

### fm_clipboard_paste_files ()

    gboolean
    fm_clipboard_paste_files (GtkWidget *dest_widget,
                              FmPath *dest_dir);

Copies or moves files from system clipboard into `dest_dir` .

#### Parameters

dest_widget | widget where to paste files |
dest_dir | directory to place files |

#### Returns

`TRUE` if operation was successful.

Since: 0.1.0

## Types and Values